function Y = ExamplePlot

figure(100)
% Shades region between two curves with light green.
numPoints = 600;
x = 1 : numPoints;
% Make and plot y1.
period1 = 300;
y1 = cos(2 * pi * x / period1);
% plot(x, y1, 'r-', 'LineWidth', 3);

% Make and plot y2.
period2 = 100;
y2 = cos(2 * pi * x / period2);
hold on;
% plot(x, y2, 'b-', 'LineWidth', 3);
grid on;

% Shade the area between in light green using the patch() function.
lightGreen = [0.85, 1, 0.85];
% Create the boundaries of the upper points and the lower points.
% Assume y1 and y2 have the same number of elements located at the same x values.
upperBoundary = max(y1, y2);
lowerBoundary = min(y1, y2);
% Now do the actual display of the shaded region.
patch([x fliplr(x)], [upperBoundary  fliplr(lowerBoundary)], lightGreen); 

% Plot y1 and y2 AFTER the patch so the patch does not cover any of those curves.
hold on;
plot(x, y1, 'r-', 'LineWidth', 2); % Plot curve 1 in red.
plot(x, y2, 'b-', 'LineWidth', 2); % Plot curve 2 in blue.
xlabel('X', 'FontSize', 24);
ylabel('Y', 'FontSize', 24);
legend('Patch', 'y1', 'y2')