function HTC = HTC_Kb_zero(b, K, s1, v, d,e,fs,r, mod)

    % initialize ODE solver
    S0 = 10;  % inintial susceptible density, #/L
    Q0 = 0;	 % initial infected density, #/L
    Z0 = 5000/10000;  % initial spore density, #/L, with some scaling
    A0 = 1;	 % initial food density, mg C/L
    Y0 = [S0; Q0; Z0; A0];  % package initial values together

    options = odeset('RelTol', 1e-5, 'AbsTol', 1e-6); % some tolerance settings for the integrator
    Tt = []; Yt = [];  % initialize
    [Tt,Yt] = ode45('FeedingReduction_AllModels_ODE', [0,1000], Y0, options, s1, K, b, v, mod);  % simulate for initial values
    Y0n = Yt(end,:);  % get end value to intialize numerical solver.
    Yeq = FeedingReduction_AllModels_NUM(Y0n, s1, K, b, v, mod);  % numerical solution of interior equilibrium
    Nnum = Yeq(1) + Yeq(2);  % total host density
    Sb = Sbnd(d,e,fs,r,K);
    HTC=Nnum-Sb;

end