function Map_K_alpha


% general settings
mod = 1;
s1 = 15000/10000;  % different max values of spore yield
v = 0.07;   						% default virulence
e = 8.5;				% conversion efficiency 
d = 0.03;  				% background death rate of hosts
r = 0.8; 				% maximal growth rate of the algal resource (r_m in text)
fs0 = 0.0178;            		% size-specific foraging rate of uninfecteds
L = 1.4;				% length of animals
fs = fs0*L^2;

% loop through K
Kmin = 0.97;  % minimal carring capacity
Kmax = 1.5;  % maximum carrying capacity
Kint = 0.005;  % interval over which carrying capacity is varied
ki=0; % initialize counter

for K = Kmin:Kint:Kmax
    ki= ki+1; % advance K counter
    Kp(ki) = K; % vector of K for plotting
    %bmin=0; bmax = 25 * 10^-5 * 10000; br=[bmin, bmax]; % range of b to vary
    if ki == 1 
        b0 = 0.6 * 10^-5 * 10000;
    else
        b0 = bcrit(ki-1);
    end
    optzero = [];
    bcrit(ki) = fzero(@HTC_Kb_zero, b0, optzero, K, s1, v, d,e,fs,r, mod)
 
end % K loop

figure(2)
plot(Kp,bcrit,'k-');
res=[Kp',bcrit']; % save results
save Map_ka_1.txt  results -ascii;
